> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace image content

> Replaces the binary content of an existing image in object storage and refreshes its signed URL.

Requires edit access to the document the image belongs to.

Returns `true` on success.



## OpenAPI

````yaml put /media/image/{imageId}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /media/image/{imageId}:
    put:
      tags:
        - Media
      summary: Replace image content
      description: >-
        Replaces the binary content of an existing image in object storage and
        refreshes its signed URL.


        Requires edit access to the document the image belongs to.


        Returns `true` on success.
      operationId: updateImage
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: imageId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                image:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - Buffer
                    data:
                      type: array
                      items:
                        type: integer
                        minimum: 0
                        maximum: 255
                  required:
                    - type
                    - data
              required:
                - image
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: boolean
                    enum:
                      - true
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '500':
          description: 500 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````